<bugID>1372998<Summary>don't require X11, GTK+, and (if possible) GLib in headless mode</Summary><Description>Over in the qbrt project, I found that a Linux system running tests headlessly still needed the libgtk-3-0, libdbus-glib-1-2, and xvfb packages to be installed in order for Firefox to run &lt;https://github.com/mozilla/qbrt/pull/103&gt;.

GLib may be unavoidable, but GTK+ and especially Xvfb (and any another X11 implementation) should be optional for Linux systems that run Firefox headlessly.</Description></bugID>